import './PanelHeader.styles_19qcq21.css';
import { styled } from '@linaria/react';
import { placements } from './PanelHeader.types.js';
import { component, mergeConfig } from '../../../../engines/common.js';
import { buttonConfig } from '../../../Button/Button.js';

var mergedButtonConfig = /*#__PURE__*/mergeConfig(buttonConfig);
var Button = /*#__PURE__*/component(mergedButtonConfig);
var _exp3 = function _exp3() {
  return function (_ref) {
    var placement = _ref.placement;
    return placement === placements.left ? -1 : 0;
  };
};
var _exp4 = function _exp4() {
  return function (_ref2) {
    var placement = _ref2.placement;
    return !placement || placement === placements.right ? '0.5rem' : '';
  };
};
var _exp5 = function _exp5() {
  return function (_ref3) {
    var placement = _ref3.placement;
    return placement === placements.left ? '0.5rem' : '';
  };
};
var ButtonWrapper = /*#__PURE__*/styled('div')({
  name: "ButtonWrapper",
  "class": "bv3jhdk",
  propsAsIs: false,
  vars: {
    "bv3jhdk-0": [/*#__PURE__*/_exp3()],
    "bv3jhdk-1": [/*#__PURE__*/_exp4()],
    "bv3jhdk-2": [/*#__PURE__*/_exp5()]
  }
});
var StyledHeader = /*#__PURE__*/styled('div')({
  name: "StyledHeader",
  "class": "s14zq5ow",
  propsAsIs: false
});
var _exp6 = function _exp6() {
  return Button;
};
var CloseIconWrapper = /*#__PURE__*/styled(_exp6())({
  name: "CloseIconWrapper",
  "class": "czsh5lq",
  propsAsIs: true
});

export { ButtonWrapper, CloseIconWrapper, StyledHeader };
